For Developers

Fetch Sync

GET https://ed.link/api/v2/teams/:team_id/sources/:source_id/syncs/:sync_id

Fetches detailed metrics, timestamps, and error details for a specific sync execution.

Permissions

Requires the syncs.read system permission.

Parameters

ParameterTypeRequiredDescription
:team_idUUIDYesThe ID of the team.
:source_idUUIDYesThe ID of the source.
:sync_idUUIDYesThe ID of the sync.

Sample Request

const response = await axios.get(
    `https://ed.link/api/v2/teams/${team_id}/sources/${source_id}/syncs/${sync_id}`,
    {
        headers: {
            authorization: `Bearer ${user_session_token}`
        }
    }
);

Sample Response

{
    "$data": {
        "id": "673cf97a-9a91-4560-8f96-3a72df54db12",
        "created_date": "2024-06-21T06:00:00.000Z",
        "started_date": "2024-06-21T06:01:00.000Z",
        "completed_date": "2024-06-21T06:45:00.000Z",
        "state": "completed",
        "type": "scheduled",
        "source_id": "7b5a19cb-9ea8-4b71-9b16-564ec5ea0b12"
    }
}